App\Library\Amazon\Classes\RebateType:
    properties:
        rebateStartDate:
            expose: true
            access_type: public_method
            serialized_name: RebateStartDate
            accessor:
                getter: getRebateStartDate
                setter: setRebateStartDate
            type: GoetasWebservices\Xsd\XsdToPhp\XMLSchema\DateTime
        rebateEndDate:
            expose: true
            access_type: public_method
            serialized_name: RebateEndDate
            accessor:
                getter: getRebateEndDate
                setter: setRebateEndDate
            type: GoetasWebservices\Xsd\XsdToPhp\XMLSchema\DateTime
        rebateMessage:
            expose: true
            access_type: public_method
            serialized_name: RebateMessage
            accessor:
                getter: getRebateMessage
                setter: setRebateMessage
            type: string
        rebateName:
            expose: true
            access_type: public_method
            serialized_name: RebateName
            accessor:
                getter: getRebateName
                setter: setRebateName
            type: string
